using Fast.Web;
using Microsoft.OData.Edm;
using Microsoft.OData.ModelBuilder;

Main.CustomEdmModel = Helper.GetCustomEdmModel();
Main.DirectoriesToCreate = Helper.GetDirectoriesToCreate();
Main.Configure(args, Type.GetType("Fast.Web.Logic.JobsHelper"));
await Main.RunAsync();

namespace Fast.Web
{
    public static class Helper
    {
        public static string[] GetDirectoriesToCreate()
        {
            return new string[] {
                "ReportTemplates"
            };
        }

        public static IEdmModel GetCustomEdmModel()
        {
            var builder = new ODataConventionModelBuilder();

            // builder.Function("GetSomeItems").Returns<SomeItem>();

            return builder.GetEdmModel();
        }
    }
}
